IntlCalendar::getLeastMaximum
IntlCalendar::getMaximum
IntlCalendar
PHP Manual

# IntlCalendar::getLocale

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::getLocale — Get the locale associated with the object

### Description

Object oriented style

public string IntlCalendar::getLocale ( int `$localeType` )

Procedural style

string intlcal_get_locale ( IntlCalendar `$cal` , int `$localeType` )

Returns the locale used by this calendar object.

### Parameters

`cal`

  The IntlCalendar resource.

`localeType`

  Whether to fetch the actual locale (the locale from which the calendar data originates, with `Locale::ACTUAL_LOCALE`) or the valid locale, i.e., the most specific locale supported by ICU relatively to the requested locale – see `Locale::VALID_LOCALE`. From the most general to the most specific, the locales are ordered in this fashion – actual locale, valid locale, requested locale.

### Return Values

A locale string or `FALSE` on failure.

### Examples

Example #1 IntlCalendar::getLocale()

`<?php
$cal = IntlCalendar::createInstance(IntlTimeZone::getGMT(), 'en_US_CALIFORNIA');
var_dump(
$cal->getLocale(Locale::ACTUAL_LOCALE),
$cal->getLocale(Locale::VALID_LOCALE)
);`

The above example will output:

    string(2) "en"
    string(5) "en_US"

IntlCalendar::getLeastMaximum
IntlCalendar::getMaximum
IntlCalendar
PHP Manual